# Reading invoice

<mark style="color:green;">`GET`</mark> `/api/public/v1/invoices/:id`

This endpoint returns details of a particular invoice by its ID.

**Headers**

| Name         | Value                      |
| ------------ | -------------------------- |
| Content-Type | `application/vnd.api+json` |

**Path Parameters**

| Name | Value      |
| ---- | ---------- |
| id   | Invoice ID |

**Response Body**

<table><thead><tr><th>Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td>data.id</td><td>string</td><td>Invoice ID.</td></tr><tr><td>data.type</td><td>string</td><td>Entity type returned. Always <code>invoices</code>.</td></tr><tr><td>data.attributes</td><td>object</td><td>Set of invoice attributes.</td></tr><tr><td>data.attributes.amountBilled</td><td>string</td><td>Invoice amount to display to end users. Determines the amount due after conversion.</td></tr><tr><td>data.attributes.amountCharged</td><td>string</td><td>Amount due. Determines the amount of cryptucurrency the end-user is required to pay.</td></tr><tr><td>data.attributes.targetAmount</td><td>string</td><td>Amount you will receive into your target currency account.</td></tr><tr><td>data.attributes.billedCurrency</td><td>string</td><td>Invoice currency to display to end users. Determines the currency due after conversion. Refer to <a href="../api-basics/supported-currencies">supported</a> currencies.</td></tr><tr><td>data.attributes.chargedCurrency</td><td>string</td><td>Crypto currency that customer must pay in. Refer to <a href="../api-basics/supported-currencies">supported</a> currencies.</td></tr><tr><td>data.attributes.targetCurrency</td><td>string</td><td>Settlement currency. This is the currency you will receive in your account after the payment is processed.</td></tr><tr><td>data.attributes.targetAccountId</td><td>string</td><td>The ID of the account to which the invoice payment is credited.</td></tr><tr><td>data.attributes.chargedTargetRate</td><td>string</td><td>Charged currency to target currency exchange rate.</td></tr><tr><td>data.attributes.chargedTargetRateCurrency</td><td>string</td><td>Charged currency to target currency exchange rate.</td></tr><tr><td>data.attributes.reference</td><td>string</td><td>The custom reference ID to tie the invoice to end-user who pays. This can be anything you choose.</td></tr><tr><td>data.attributes.statusContext</td><td>string</td><td>Invoice status context. Refer to <a href="invoice-status-flow">Invoice status flow</a>.</td></tr><tr><td>data.attributes.network</td><td>string</td><td>Network code. Refer to <a href="../api-basics/supported-currencies">Supported currencies</a>.</td></tr><tr><td>data.attributes.networkName</td><td>string</td><td>Network name to display.</td></tr><tr><td>data.attributes.paymentMethods</td><td>string</td><td>Invoice payment methods.</td></tr><tr><td>data.attributes.status</td><td>string</td><td>Invoice status. Refer to <a href="invoice-status-flow">Invoice status flow</a>.</td></tr><tr><td>data.attributes.successRedirectUrl</td><td>string</td><td>URL your customer will be redirected from our hosted page to if the invoice completes.</td></tr><tr><td>data.attributes.unsuccessRedirectUrl</td><td>string</td><td>URL your customer will be redirected from our hosted page to if the invoice gets expired, cancelled or rejected.</td></tr><tr><td>data.attributes.paymentStatus</td><td>string</td><td>Invoice payment status. Refer to <a href="invoice-status-flow">Invoice status flow</a>.</td></tr><tr><td>data.attributes.exchangeRate</td><td>string</td><td>Invoice exchange rate valid for 20 minutes.</td></tr><tr><td>data.attributes.expiresAt</td><td>string</td><td>Invoice expiry date and time.</td></tr><tr><td>data.attributes.createdAt</td><td>string</td><td>Date and time invoice was created at.</td></tr><tr><td>data.attributes.hostedPageUrl</td><td>string</td><td>Invoice hosted page.</td></tr><tr><td>included.type(addresses).attributes</td><td>object</td><td>Invocie receiving address. This is the address the end-user must send their crytpocurrency payment to.</td></tr><tr><td>included.type(binanceOrders).attributes</td><td>object</td><td>Payment instructions for an off-chain payment via the Binance application.</td></tr><tr><td>included.type(coinTransactions).attributes</td><td>object</td><td>Details of a crypto payment received at the invoice address, including <code>txHash</code>, <code>currencyCode</code>, <code>amount</code>, and other related fields.</td></tr><tr><td><p></p><p>included.type(invoiceTransactions).attributes.amountBilled</p></td><td>object</td><td>This is the amount the invoice payment results in <strong>before fees</strong>. This is typically the amount merchants credit to an end-user’s balance on their platform.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": {
    "id": "ab0fbca0-a6b1-41af-95c7-b2ae4595f72d",
    "type": "invoices",
    "attributes": {
      "amountBilled": "1000.00",
      "amountCharged": "140.743359",
      "targetAmount": "119.73",
      "billedCurrency": "CNY",
      "chargedCurrency": "USDT",
      "targetCurrency": "EUR",
      "chargedTargetRate": "0.8593002",
      "chargedTargetRateCurrency": "EUR",
      "reference": "eef67ca4-286b-4c75-ad79-4f313c582c40",
      "statusContext": "underpaid",
      "network": "ttrx:usdt",
      "networkName": "Tron (TRC20)",
      "paymentMethods": [
        "on_chain"
      ],
      "status": "completed",
      "successRedirectUrl": "https://paymentsucceeded.com",
      "unsuccessRedirectUrl": "https://paymentfailed.com",
      "paymentStatus": "on_time",
      "exchangeRate": "7.105131",
      "expiresAt": "2025-06-20T14:46:32.246Z",
      "createdAt": "2025-06-20T12:46:32.342Z",
      "hostedPageUrl": "https://sandbox.txn.pro/redirect?invoice_id=ab0fbca0-a6b1-41af-95c7-b2ae4595f72d&request_type=invoice_hosted_page&zone=eu"
    },
    "relationships": {
      "targetAccount": {
        "data": {
          "type": "accounts",
          "id": "13a85b45-8543-41c7-b963-394d4ea128ae"
        }
      },
      {
      "binanceOrder": {
        "data": null
      },
      "address": {
        "data": {
          "type": "addresses",
          "id": "40402ed1-9bca-4ae8-9c33-1eff05280a2d"
        }
      },
      "refundLinks": {
        "data": []
      },
      "invoiceTransactions": {
        "data": [
          {
            "type": "invoiceTransactions",
            "id": "1ab6e545-ec8e-4670-aaba-29c79e9d88f5"
          }
        ]
      },
      "coinDeposits": {
        "data": [
          {
            "type": "coinTransactions",
            "id": "289a039f-6821-48e1-b311-1167563e5855"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "40402ed1-9bca-4ae8-9c33-1eff05280a2d",
      "type": "addresses",
      "attributes": {
        "label": "Tron (TRC20)",
        "value": "TCg2JQZSVJLufjzw6nodJiX5zkjtHK45sq",
        "createdAt": "2025-06-19T07:39:11.939Z"
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "network": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "1ab6e545-ec8e-4670-aaba-29c79e9d88f5",
      "type": "invoiceTransactions",
      "attributes": {
        "amountBilled": "703.41",
        "billedChargedRate": "7.105131",
        "billedChargedRateCurrency": "CNY",
        "consolidationFee": "0.00",
        "transactionFee": "7.03",
        "transactionFeeCurrency": "CNY",
        "targetTransactionFee": "0.85",
        "targetTransactionFeeCurrency": "EUR",
        "simplifiedState": "completed"
      },
      "relationships": {
        "txn": {
          "data": {
            "type": "transactions",
            "id": "1ab6e545-ec8e-4670-aaba-29c79e9d88f5"
          }
        },
        "exchangeQuote": {
          "data": {
            "type": "exchangeQuotes",
            "id": "363a412f-dd92-4f03-88b9-1605dece439c"
          }
        },
        "invoice": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "289a039f-6821-48e1-b311-1167563e5855",
      "type": "coinTransactions",
      "attributes": {
        "txHash": "0c772b228a03d15beb83603b2b2ab5905c808940877d28e8d27445a4e239daa7",
        "currencyCode": "USDT",
        "createdAt": "2025-06-20T12:48:51.234Z",
        "state": "processed",
        "amount": "99.000000",
        "accountId": "e289de2b-37bd-4eff-b832-f754c31a2d95",
        "simplifiedState": "processed"
      },
      "relationships": {
        "network": {
          "meta": {
            "included": false
          }
        },
        "address": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "1ab6e545-ec8e-4670-aaba-29c79e9d88f5",
      "type": "transactions",
      "attributes": {
        "createdAt": "2025-06-20T12:49:01.324Z",
        "simplifiedState": "completed",
        "transactionType": "InvoiceTransaction",
        "amount": "84.29",
        "currency": "EUR",
        "balance": null,
        "reference": "eef67ca4-286b-4c75-ad79-4f313c582c40",
        "accountId": "13a85b45-8543-41c7-b963-394d4ea128ae"
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "transactionDetails": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "363a412f-dd92-4f03-88b9-1605dece439c",
      "type": "exchangeQuotes",
      "attributes": {
        "expiresAt": "2025-06-20T12:49:31.478Z",
        "amountCharged": "99.0",
        "amountReceived": "85.14",
        "rate": "0.8600328",
        "exchangeFee": "0.00",
        "exchangeFeeCurrency": "EUR",
        "rateCurrency": "EUR",
        "accountChargedId": "e289de2b-37bd-4eff-b832-f754c31a2d95",
        "accountReceivedId": "13a85b45-8543-41c7-b963-394d4ea128ae",
        "status": "completed",
        "amountChargedCurrency": "USDT",
        "amountReceivedCurrency": "EUR"
      },
      "relationships": {
        "exchangeOrder": {
          "meta": {
            "included": false
          }
        },
        "transactions": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}

{% tab title="HTTP 404" %}

```json
{
  "errors": [
    {
      "status": 404,
      "title": "Record not found",
      "code": "invoice_not_found",
      "detail": "Invoice not found"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/invoices/reading-invoice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
